Skip to content
Start here

List targets.

browser_rendering.devtools.browser.targets.list(strsession_id, TargetListParams**kwargs) -> TargetListResponse
GET/accounts/{account_id}/browser-rendering/devtools/browser/{session_id}/json/list

Returns a list of all debuggable targets including tabs, pages, service workers, and other browser contexts.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Browser Rendering WriteBrowser Rendering Read
ParametersExpand Collapse
account_id: str

Account ID.

session_id: str

Browser session ID.

formatuuid
ReturnsExpand Collapse
List[TargetListResponseItem]
id: str

Target ID.

type: str

Target type (page, background_page, worker, etc.).

url: str

URL of the target.

description: Optional[str]

Target description.

devtools_frontend_url: Optional[str]

DevTools frontend URL.

title: Optional[str]

Title of the target.

web_socket_debugger_url: Optional[str]

WebSocket URL for debugging this target.

List targets.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
targets = client.browser_rendering.devtools.browser.targets.list(
    session_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="account_id",
)
print(targets)
[
  {
    "id": "id",
    "type": "type",
    "url": "url",
    "description": "description",
    "devtoolsFrontendUrl": "devtoolsFrontendUrl",
    "title": "title",
    "webSocketDebuggerUrl": "webSocketDebuggerUrl"
  }
]
Returns Examples
[
  {
    "id": "id",
    "type": "type",
    "url": "url",
    "description": "description",
    "devtoolsFrontendUrl": "devtoolsFrontendUrl",
    "title": "title",
    "webSocketDebuggerUrl": "webSocketDebuggerUrl"
  }
]